## mhap 2.1+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build-2.7
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MinHashAlignmentProcessMHAP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MinHashAlignmentProcessMHAP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MinHashAlignmentProcessMHAP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MinHashAlignmentProcessMHAP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## mhap 1.6%2Bdfsg

=== debian/changelog ===
mhap (1.6+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #796640)

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 13 Sep 2015 01:56:52 -0700

=== debian/control ===
Source: mhap
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends: debhelper (>= 9),
	       javahelper,
	       openjdk-8-jdk,
	       ant,
	       libcommons-compress-java,
	       libfastutil-java,
	       libguava-java,
	       jaligner
Standards-Version: 3.9.6
Homepage: https://github.com/marbl/MHAP
Vcs-Git: git://anonscm.debian.org/debian-med/mhap.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/mhap.git

Package: mhap
Architecture: all
Depends: ${misc:Depends},
	 ${java:Depends},
	 java8-runtime-headless
Description: locality-sensitive hashing to detect long-read overlaps
 The MinHash Alignment Process (MHAP) overlaps noisy, long reads using
 probabilistic, locality-sensitive hashing. Integrating MHAP with the
 Celera Assembler enabled reference-grade de novo assemblies of
 Saccharomyces cerevisiae, Arabidopsis thaliana, Drosophila melanogaster and
 a human hydatidiform mole cell line (CHM1) from single-molecule real-time
 sequencing.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)

%:
	LC_ALL=C.UTF-8 dh $@ --with javahelper

override_dh_link:
	dh_link usr/share/java/mhap-1.6.jar usr/bin/mhap

## mhap 2.0+dfsg

=== debian/changelog ===
mhap (2.0+dfsg-1) unstable; urgency=medium

  * Update Standards-Version
  * Use https for VCS URLs
  * Adjust project homepage
  * Imported Upstream version 2.0+dfsg
    - Remove obsolete patches
    - Update packaging to build with maven.
      (Thanks to Tony Mancill for patches and advice)
    - Update manpage
    - Remove copyright declaration for now non-existent file
  * Globally use C.UTF-8 locale
  * Don't hardcode package version or classpath in debian/*
  * Don't force Java 8

 -- Afif Elghraoui <afif@debian.org>  Wed, 13 Jul 2016 01:04:35 -0700

=== debian/control ===
Source: mhap
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Build-Depends:
	debhelper (>= 9),
	javahelper,
	maven-debian-helper,
	libmaven-dependency-plugin-java,
	default-jdk-headless,
	libcommons-compress-java,
	libfastutil-java,
	libguava-java,
	jaligner,
	libssw-java,
Standards-Version: 3.9.8
Homepage: http://mhap.readthedocs.org/en/stable/
Vcs-Git: https://anonscm.debian.org/git/debian-med/mhap.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mhap.git

Package: mhap
Architecture: all
Depends:
	${misc:Depends},
	${java:Depends},
	default-jre-headless,
Description: locality-sensitive hashing to detect long-read overlaps
 The MinHash Alignment Process (MHAP) overlaps noisy, long reads using
 probabilistic, locality-sensitive hashing. Integrating MHAP with the
 Celera Assembler enabled reference-grade de novo assemblies of
 Saccharomyces cerevisiae, Arabidopsis thaliana, Drosophila melanogaster and
 a human hydatidiform mole cell line (CHM1) from single-molecule real-time
 sequencing.

## mhap 2.1+dfsg

=== debian/changelog ===
mhap (2.1+dfsg-1) unstable; urgency=medium

  * Avoid dependency on graphics libraries by not using java:Depends
  * Imported Upstream version 2.1+dfsg
  * Update package's long description

 -- Afif Elghraoui <afif@debian.org>  Wed, 13 Jul 2016 22:38:44 -0700

=== debian/control ===
--- 
+++ 
@@ -23,12 +23,21 @@
 Architecture: all
 Depends:
 	${misc:Depends},
-	${java:Depends},
+# java:Depends adds a dependency on
+# default-jre, which pulls in many unnecessary libraries
+# for graphics
+#	${java:Depends},
 	default-jre-headless,
+	jarwrapper,
+	libcommons-compress-java,
+	libfastutil-java,
+	libguava-java,
+	jaligner,
+	libssw-java,
 Description: locality-sensitive hashing to detect long-read overlaps
- The MinHash Alignment Process (MHAP) overlaps noisy, long reads using
- probabilistic, locality-sensitive hashing. Integrating MHAP with the
- Celera Assembler enabled reference-grade de novo assemblies of
- Saccharomyces cerevisiae, Arabidopsis thaliana, Drosophila melanogaster and
- a human hydatidiform mole cell line (CHM1) from single-molecule real-time
- sequencing.
+ The MinHash Alignment Process (MHAP) MHAP (pronounced MAP) is a
+ reference implementation of a probabilistic sequence overlapping
+ algorithm. Designed to efficiently detect all overlaps between noisy
+ long-read sequence data. It efficiently estimates Jaccard similarity
+ by compressing sequences to their representative fingerprints
+ composed on min-mers (minimum k-mer).

## mhap 2.1.1+dfsg

=== debian/changelog ===
mhap (2.1.1+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 16 Oct 2016 14:26:03 -0700

mhap (2.1.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1+dfsg
  * Remove duplicate word from package description

 -- Afif Elghraoui <afif@debian.org>  Sun, 09 Oct 2016 11:39:51 -0700

mhap (2.1+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports
  * Force Java 8
  * Bump minimum required libguava-java
  * Add build-dependency on libmaven-shade-plugin-java
  * Workaround lack of maven artifacts for fastutil

 -- Afif Elghraoui <afif@debian.org>  Wed, 12 Oct 2016 18:58:50 -0700

mhap (1.6+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Thu, 17 Dec 2015 00:29:31 -0800

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 	javahelper,
 	maven-debian-helper,
 	libmaven-dependency-plugin-java,
-	default-jdk-headless,
+	libmaven-shade-plugin-java,
+	openjdk-8-jdk,
 	libcommons-compress-java,
 	libfastutil-java,
-	libguava-java,
+	libguava-java (>= 19),
 	jaligner,
 	libssw-java,
 Standards-Version: 3.9.8
@@ -27,15 +28,15 @@
 # default-jre, which pulls in many unnecessary libraries
 # for graphics
 #	${java:Depends},
-	default-jre-headless,
+	java8-runtime-headless,
 	jarwrapper,
 	libcommons-compress-java,
 	libfastutil-java,
-	libguava-java,
+	libguava-java (>= 19),
 	jaligner,
 	libssw-java,
 Description: locality-sensitive hashing to detect long-read overlaps
- The MinHash Alignment Process (MHAP) MHAP (pronounced MAP) is a
+ The MinHash Alignment Process (MHAP--pronounced MAP) is a
  reference implementation of a probabilistic sequence overlapping
  algorithm. Designed to efficiently detect all overlaps between noisy
  long-read sequence data. It efficiently estimates Jaccard similarity

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

include /usr/share/dpkg/default.mk

export LC_ALL=C.UTF-8
export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
DEB_VERSION_UPSTREAM := $(DEB_VERSION_UPSTREAM:+dfsg=)

cupboard = \
 commons-compress \
 fastutil \
 guava \
 jaligner \
 ssw \

CLASSPATH = $(foreach jar,$(strip $(cupboard)),/usr/share/java/$(jar).jar)

%: %.in
	sed \
	-e 's|@DEB_VERSION_UPSTREAM@|$(DEB_VERSION_UPSTREAM)|g' \
	-e 's|@CLASSPATH@|$(CLASSPATH)|g' \
	$< > $@

%:
	dh $@ --with javahelper --buildsystem=maven

override_dh_auto_build: debian/manifest debian/links
	dh_auto_build

override_dh_clean:
	dh_clean
	$(RM) debian/manifest debian/links

## mhap 2.1.3%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/dpkg/default.mk
 
 export LC_ALL=C.UTF-8
-export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(DEB_HOST_ARCH)
+export JAVA_HOME=/usr/lib/jvm/default-java
 DEB_VERSION_UPSTREAM := $(DEB_VERSION_UPSTREAM:+dfsg=)
 
 cupboard = \

## mhap 2.1.3+dfsg

=== debian/changelog ===
mhap (2.1.3+dfsg-3) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Remove myself from Uploaders

  [ Andreas Tille ]
  * Add myself to Uploaders
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2020 22:00:13 +0100

mhap (2.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop unused lintian-override

 -- Andreas Tille <tille@debian.org>  Wed, 17 Oct 2018 15:06:10 +0200

mhap (2.1.3+dfsg-1) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Bump minimum required libguava-java version
  * New upstream version 2.1.3+dfsg
  * Standards-Version 4.1.3

  [ Steffen Moeller, Andreas Tille ]
  * Added ref to OMICtools

 -- Afif Elghraoui <afif@debian.org>  Fri, 16 Mar 2018 00:05:16 -0400

=== debian/control ===
Source: mhap
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               maven-debian-helper,
               libmaven-dependency-plugin-java,
               default-jdk-headless,
               libcommons-compress-java,
               libfastutil-java,
               libguava-java (>= 19),
               jaligner,
               libssw-java
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/mhap
Vcs-Git: https://salsa.debian.org/med-team/mhap.git
Homepage: http://mhap.readthedocs.org/en/stable/
Rules-Requires-Root: no

Package: mhap
Architecture: all
Depends: ${misc:Depends},
# java:Depends adds a dependency on
# default-jre, which pulls in many unnecessary libraries
# for graphics
#        ${java:Depends},
         default-jre-headless,
         jarwrapper,
         libcommons-compress-java,
         libfastutil-java,
         libguava-java (>= 19),
         jaligner,
         libssw-java
Description: locality-sensitive hashing to detect long-read overlaps
 The MinHash Alignment Process (MHAP--pronounced MAP) is a
 reference implementation of a probabilistic sequence overlapping
 algorithm. Designed to efficiently detect all overlaps between noisy
 long-read sequence data. It efficiently estimates Jaccard similarity
 by compressing sequences to their representative fingerprints
 composed on min-mers (minimum k-mer).

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/(?:.*?\/)?v?(\d[\d.]*)\.tar\.gz/mhap-$1.tar.gz/" \
  https://github.com/marbl/MHAP/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
